[Stable Update] 2017-05-12 - Kernels, KDE, KDE Apps, Gnome, Browsers

update
stable

#1

Hi community,

this is one of our bigger updates and will bring a lot of different changes to Manjaro. It is recommended to read also some of our testing announcements depending on the topic. It is strongly recommended to do this update as a full update and not partial!. Please use pacman from a terminal for not breaking your system.

So what changed? Well, we started with Plasma5, Gnome, VirtualBox, OpenSSL, ICU, added then Nvidia, XFCE-GTK3, X-Apps, Kodi-Plugins, moved on to Firefox, X-Apps, Gstreamer, Bluez, had some Kernels, NoSystemd, Python, Haskell, then worked on Kernel, Virtualbox, Haskell, Gnome and finalized with NetworkManager, Chromium, KDE Apps, Pamac.

Most might have some issues with the OpenSSL or ICU update. We have some recommendation for some Steam Games.

So take your time with this update and ask us anything if some might go not so well for you. There will be a solution for it for sure. Please give us feedback as usual and report any issues you may see with this update.


Current supported Kernels

  • linux310 3.10.105
  • linux312 3.12.74 [EOL]
  • linux316 3.16.42
  • linux318 3.18.52
  • linux41 4.1.39
  • linux44 4.4.67
  • linux48 4.8.17 [EOL]
  • linux49 4.9.27
  • linux410 4.10.15
  • linux411 4.11.0
  • linux-RT-LTS 4.4.66_rt79
  • linux-RT 4.9.20_rt16

Package Updates (Fri May 12 17:46:31 CEST 2017)

  • stable community i686: 1114 new and 1090 removed package(s)
  • stable community x86_64: 1140 new and 1111 removed package(s)
  • stable core i686: 69 new and 65 removed package(s)
  • stable core x86_64: 69 new and 65 removed package(s)
  • stable extra i686: 1274 new and 1259 removed package(s)
  • stable extra x86_64: 1274 new and 1259 removed package(s)
  • stable multilib x86_64: 55 new and 51 removed package(s)

A detailed list of package changes can be found here.


  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


Error during system upgrade: dependency break
How to update Opera to 45?
[Stable Update] 2017-04-25 - Firefox, KDE Apps, Haskell, Virtualbox
#2

With the latest Update my MEGAsync client is crashing with an error:
Stacktrace:
megasync() [0x5ca52a]
megasync() [0x5ca52a]
/usr/lib/libssl.so.1.1(+0x2777e) [0x7f241d47a77e]
/usr/lib/libssl.so.1.1(+0x39f0b) [0x7f241d48cf0b]
/usr/lib/libssl.so.1.1(+0x3770f) [0x7f241d48a70f]
/usr/lib/libssl.so.1.1(SSL_do_handshake+0x41) [0x7f241d482e91]
/usr/lib/libcurl.so.4(+0x5d90c) [0x7f2421d9190c]
/usr/lib/libcurl.so.4(+0x5e822) [0x7f2421d92822]
/usr/lib/libcurl.so.4(+0x610ab) [0x7f2421d950ab]
/usr/lib/libcurl.so.4(+0x13452) [0x7f2421d47452]
/usr/lib/libcurl.so.4(+0x3b04e) [0x7f2421d6f04e]
/usr/lib/libcurl.so.4(+0x3c708) [0x7f2421d70708]
/usr/lib/libcurl.so.4(curl_multi_socket_action+0x17) [0x7f2421d707f7]
megasync() [0x5c8657]
megasync() [0x5d03a4]
megasync() [0x52ed3d]
megasync() [0x5be0d9]
megasync() [0x5be168]
/usr/lib/libQt5Core.so.5(+0xad6d8) [0x7f241f05e6d8]
/usr/lib/libpthread.so.0(+0x72e7) [0x7f241ed9a2e7]
/usr/lib/libc.so.6(clone+0x3f) [0x7f241e22954f]


#4

I did not have any troubles - thank you very much. :heart_decoration:

Nitpicking: my lockscreen background was moved to default and the nautilus icon now is blue XD


#5

You have to update that AUR package. See also here.


#6

Waited long for this update, finally my GPU is officially supported! :slight_smile: No issues, even though it was the biggest update I have seen on Manjaro.

After a reboot I get a lot of warning when running pacman. I snipped most of the packages, but there are warnings for every installed package.

:: Synchronizing package databasesā€¦
core 138.3 KiB 2.55M/s 00:00 [###################################################] 100%
extra 1806.0 KiB 19.0M/s 00:00 [###################################################] 100%
community 4.1 MiB 45.8M/s 00:00 [###################################################] 100%
multilib 182.2 KiB 10.5M/s 00:00 [###################################################] 100%
:: Starting full system upgradeā€¦
warning: adwaita-icon-theme: local (3.24.0-1) is newer than extra (3.22.0+1+g58cd459e-1)
warning: aircrack-ng: local (1.2rc4-4) is newer than community (1.2rc4-2)
warning: android-tools: local (7.1.2_r6-1) is newer than community (7.1.1_r13-1)
warning: apr: local (1.5.2-2) is newer than extra (1.5.2-1)
warning: apr-util: local (1.5.4-3) is newer than extra (1.5.4-2)
warning: at-spi2-atk: local (2.24.1-1) is newer than extra (2.22.0-1)
warning: at-spi2-core: local (2.24.1-1) is newer than extra (2.22.0-1)
warning: atk: local (2.24.0-2) is newer than extra (2.24.0-1)

Regards,


#7

262 Updates, 932mb Iā€™ll be honest, That was scary :grimacing:

Using manjaro deepin, everything went smoothly, quite impresive considering the size and the importance of system files being updated! (kernel, nvidia etc)

Good Job Team, Very well done :grin:


#8

Please check your mirror once more. Seems during pacman-mirrors update you were redirected to one a little more outdated mirror.


#9

Update works fine, but:

  1. kernel 4.11 causes trouble on my machine -> back to 4.10
  2. language in thunderbird-lightning turned from german to english after this update.
    solution: uninstalled and reinstalled lightning and all went fine

#10

Can you provide more specifics on this? Iā€™ve been using it since it got released in the unstable repository and it works perfectly for my computer, though I am using some newer hardware (Ryzen & AM4 MOBO)


#11

You can also use the package provided by Mega. I have used this package since a while ago without any problems.


#12

Before I update, has the Xfce Thunar GLib-CRITICAL **: g_file_test: assertion 'filename != NULL' failed error been fixed?


#13

just ran sudo pacman -Syu and got:

:: Synchronizing package databasesā€¦
core is up to date
extra is up to date
community is up to date
multilib is up to date
:: Starting full system upgradeā€¦
there is nothing to do

Do I have to wait a little longer to get the update?


#14

95% of the Mirrors have not updated stable branch.


Tags donā€™t appear correctly at top of page
#15

And whatā€™s the command for that?


#16

sudo pacman -Syu


#17

No it hasnā€™t. Would be great if someone might do a git-bisect for it.


#18

Thanks.


#19

No problems. All good. But thats normalā€¦since 16.06 i never had an update problem with Manjaro. Good work!


#20

And, just to be clear, by terminal you do not mean the konsole (or equivalent)?
You mean, ctrl alt F3 and log in to the tty, correct?


#21

Wait a little.